summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorprofessorkaos642016-11-18 11:07:06 -0500
committerprofessorkaos642016-11-18 11:07:06 -0500
commitc765ae8fb3aebe7ef32b72af53c504fb4e86871f (patch)
treebe3d7acb6ea9318df7d86928366bca26ac8648d8
parent4116916dfbb9a2e935daf8fe494cb93d940168bb (diff)
downloadaur-c765ae8fb3aebe7ef32b72af53c504fb4e86871f.tar.gz
update amd fix build
-rw-r--r--.SRCINFO17
-rw-r--r--.gitignore10
-rw-r--r--PKGBUILD48
-rw-r--r--PlayOnLinux5.desktop (renamed from PlayOnLinux.desktop)0
4 files changed, 34 insertions, 41 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 8abe6684aca..70b51277c07 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,22 +1,19 @@
-# Generated by mksrcinfo v8
-# Fri Feb 26 14:27:55 UTC 2016
pkgbase = playonlinux5-git
pkgdesc = GUI for managing Windows programs under linux (development version based on Java)
- pkgver = 5.0.r1235.edcd1a7
+ pkgver = r1262.6404de4
pkgrel = 1
epoch = 1
url = http://www.playonlinux.com/
arch = any
license = GPL
+ makedepends = gradle
+ makedepends = maven
+ makedepends = java-openjfx
+ makedepends = jdk8-openjdk
depends = wine
- depends = gradle
- depends = maven
- depends = java-gnome
- depends = java-environment>=8
- depends = java-openjfx
options = !strip
- source = playonlinux5::git://github.com/PlayOnLinux/POL-POM-5.git
- source = PlayOnLinux.desktop
+ source = playonlinux5-git::git://github.com/PlayOnLinux/POL-POM-5.git
+ source = PlayOnLinux5.desktop
md5sums = SKIP
md5sums = 7fe925810fc7ec6d8745817b1c541e7b
diff --git a/.gitignore b/.gitignore
index 181b3460e42..05c6d4d4c97 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,10 +1,4 @@
*
-!PKGBUILD
-!.SRCINFO
-!*.patch
-!*.desktop
-!*.install
-!*.service
-!*.sh
-!*.conf
!.gitignore
+!.SRCINFO
+!PKGBUILD
diff --git a/PKGBUILD b/PKGBUILD
index 3f83d14e26b..47a620c666f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,40 +1,42 @@
-# Maintainer: Nick Shvelidze <captain@pirrate.me>
+# Maintainer : Michael DeGuzis <mdeguzis@gmail.com>
+# Contributor: Nick Shvelidze <captain@pirrate.me>
# Contributor: Justin Dray <justin@dray.be>
# Contributor: Laurent Carlier <lordheavym@gmail.com>
# Contributor: K. Hampf <khampf@users.sourceforge.net>
# Contributor: Skunnyk <skunnyk@archlinux.fr>
-_pkgname=playonlinux5
-pkgname=$_pkgname-git
-pkgver=5.0.r1235.edcd1a7
+# Build notes:
+# http://wiki.playonlinux.com/index.php/Building_PlayOnLinux_5
+
+pkgname=playonlinux5-git
+pkgver=r1262.6404de4
pkgrel=1
epoch=1
pkgdesc="GUI for managing Windows programs under linux (development version based on Java)"
arch=('any')
url="http://www.playonlinux.com/"
license=('GPL')
-depends=('wine' 'gradle' 'maven' 'java-gnome' 'java-environment>=8' 'java-openjfx')
+makedepends=('gradle' 'maven' 'java-openjfx' 'jdk8-openjdk')
+depends=('wine')
options=(!strip)
-source=("$_pkgname::git://github.com/PlayOnLinux/POL-POM-5.git"
- 'PlayOnLinux.desktop')
+source=("$pkgname::git://github.com/PlayOnLinux/POL-POM-5.git"
+ 'PlayOnLinux5.desktop')
md5sums=('SKIP'
'7fe925810fc7ec6d8745817b1c541e7b')
pkgver() {
- cd "$_pkgname"
-
- _ver=$(grep -m1 "<version>" pom.xml | cut -d ">" -f2 | cut -d "-" -f1)
- _rev="$(git rev-list --count HEAD)"
- _hash="$(git rev-parse --short HEAD)"
-
- echo "${_ver}.r${_rev}.${_hash}"
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build() {
- cd "$_pkgname"
+ cd "$pkgname"
# Set environment
- export JAVA_HOME="/usr/lib/jvm/default"
+ export JAVA_HOME="/usr/lib/jvm/java-8-openjdk"
# Clean up
mvn clean
@@ -46,16 +48,16 @@ build() {
package() {
# Extract
install -d "$pkgdir/opt/"
- bsdtar -xf "$_pkgname/phoenicis-dist/target/phoenicis-dist.zip"
- cp -r phoenicis-dist/ "$pkgdir/opt/$_pkgname/"
+ bsdtar -xf "$pkgname/phoenicis-dist/target/phoenicis-dist.zip"
+ cp -r phoenicis-dist/ "$pkgdir/opt/$pkgname/"
# Launcher
install -d "$pkgdir/usr/bin/"
- ln -s "/opt/$_pkgname/PlayOnLinux.sh" "$pkgdir/usr/bin/$_pkgname"
- sed -i 's|$(dirname $0)|/opt/playonlinux5|' "$pkgdir/opt/$_pkgname/PlayOnLinux.sh"
+ ln -s "/opt/$pkgname/PlayOnLinux.sh" "$pkgdir/usr/bin/$pkgname"
+ sed -i 's|$(dirname $0)|/opt/playonlinux5|' "$pkgdir/opt/$pkgname/PlayOnLinux.sh"
# Icon + Desktop
- install -Dm644 "$srcdir/$_pkgname/phoenicis-javafx/target/classes/com/playonlinux/javafx/common/playonlinux.png" \
- "$pkgdir/usr/share/pixmaps/$_pkgname.png"
- install -Dm644 PlayOnLinux.desktop "$pkgdir/usr/share/applications/$_pkgname.desktop"
+ install -Dm644 "$srcdir/$pkgname/phoenicis-javafx/target/classes/com/playonlinux/javafx/common/playonlinux.png" \
+ "$pkgdir/usr/share/pixmaps/$pkgname.png"
+ install -Dm644 PlayOnLinux5.desktop "$pkgdir/usr/share/applications/$pkgname.desktop"
}
diff --git a/PlayOnLinux.desktop b/PlayOnLinux5.desktop
index bb6f4d4b956..bb6f4d4b956 100644
--- a/PlayOnLinux.desktop
+++ b/PlayOnLinux5.desktop